<template>
    <ion-select
        aria-label="Statická IP"
        label="Statická IP"
        placeholder="Vyberte statickou IP"
        v-model="model"
    >
        <ion-select-option
            v-for="staticIp in staticIpList"
            :key="staticIp.id"
            :value="staticIp.id"
            >{{ staticIp.ip }}
            <span v-if="staticIp.device !== null"
                >(obsazeno)</span
            ></ion-select-option
        >
    </ion-select>
</template>

<script setup lang="ts">
import { StaticIpEdge } from '@/gql/graphql'
import { IonSelect, IonSelectOption } from '@ionic/vue'
import { useQuery } from '@vue/apollo-composable'
import gql from 'graphql-tag'
import { computed } from 'vue'

const model = defineModel({ required: true })

const { result } = useQuery(gql`
    query staticIpSelect {
        staticIpList(first: 10000) {
            edges {
                node {
                    id
                    ip
                    device {
                        id
                    }
                }
            }
        }
    }
`)

const staticIpList = computed(() => {
    const edgeList = result?.value?.staticIpList?.edges

    if (edgeList) {
        return edgeList.map((edge: StaticIpEdge) => edge.node)
    }

    return []
})
</script>
